identifier: nucleo_g431kb
name: ST Nucleo G431KB
type: mcu
arch: arm
toolchain:
  - zephyr
  - gnuarmemb
  - xtools
ram: 32
flash: 128
supported:
  - arduino_gpio
  - arduino_i2c
  - arduino_spi
  - nvs
  - pwm
  - i2c
  - gpio
  - usb device
  - counter
  - spi
  - rng
  - dac
  - watchdog
  - can
vendor: st
